> For the complete documentation index, see [llms.txt](https://docs.adnuntius.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adnuntius.com/adnuntius-advertising/admin-api/endpoints/users.md).

# /users

## GET

A `GET` request can always be filtered by the get [parameters](http://docs.adnuntius.com/api/api-requests) defined in the introduction section of the API documentation.

**Example GET request:**

```http
GET https://api.adnuntius.com/api/v1/users?context=<context>
```

in order to see `HIDDEN` objects you will need to send `includeHidden=true`as a parameter to the `GET` query

## POST

**Example POST object:**

```http
POST https://api.adnuntius.com/api/v1/users/<id>?context=<context>
```

```javascript
{
    "objectState": "ACTIVE",
    "username": "mikael@adnuntius.com",
    "name": "Mikael Lundin",
    "displayName": "mikael.lundin",
    "userRoles": {
        "rolesByNetwork": [
            {
                "network": {
                    "id": "adnuntius",
                },
                "roles": [
                    {
                        "role": {
                            "id": "adopsrole",
                        }
                    }
                ]
            }
        ]
    },
    "locale": "en",
    "externalReference": "",
}
```

| Name              | Required | Restriction              | Description                                                                                             |
| ----------------- | -------- | ------------------------ | ------------------------------------------------------------------------------------------------------- |
| objectState       | Yes      | ACTIVE, INACTIVE, HIDDEN | State of the object, will disable or delete the object.                                                 |
| username          | Yes      | String                   | The means for which a user logs in, recommended would be the email address to simplify sending reports. |
| name              |          | String                   | The name of the user.                                                                                   |
| displayName       |          | String                   | A name that will be displayed in the UI once a user is logged in.                                       |
| userRoles         |          | Object                   | Defines the roles a user has.                                                                           |
| rolesByNetwork    |          | Array                    | A list of all networks and roles associated with this user.                                             |
| network           |          | Object                   | Specifies the current scoped network.                                                                   |
| roles             |          | Object                   | Specifies one or more roles for the scoped network.                                                     |
| role              |          | Object                   | Defines the id of the role to apply to the user.                                                        |
| locale            |          | String                   | The language for the user.                                                                              |
| externalReference |          | String                   | A custom string that can be used to find this user's id in an external system or something similar.     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-advertising/admin-api/endpoints/users.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
